Built LMS Help Center
API Reference and PlaygroundSettingsEmail Templates

GET List email templates

Retrieve paginated list of email templates for the organization

GET
/email-templates

Retrieve paginated list of email templates for the organization

Authorization

BearerAuth
AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Query Parameters

limit?integer

Number of templates to return (1-100)

Range1 <= value <= 100
Default50
offset?integer

Number of templates to skip

Range0 <= value
Default0

Response Body

application/json

application/json

curl -X GET "https://example.com/email-templates"
{  "data": [    {      "id": "{id}",      "organization_id": "{organization_id}",      "type": "string",      "subject": "string",      "html_body": "string",      "text_body": "string",      "variables": [        "string"      ],      "is_active": true,      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}